import request from "@/utils/request";

export function index (params,isLoading=true) {
  return request({
    method: "get",
    url: "/api/admin/category-rule/list",
    params,
    isLoading
  })
}

export function store (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-rule/store",
    data,
    isLoading
  })
}

export function save (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-rule/save",
    data,
    isLoading
  })
}

export function destroy (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-rule/delete",
    data,
    isLoading
  })
}
